# Function getEndpointRegistration

- getEndpointRegistration(connection, endpointKey, commitment?): Promise<EndpointRegistration>

- #### Parameters

  - ##### connection: Connection

  - ##### endpointKey: PublicKeyInitData

  - ##### `Optional` commitment: Commitment

  #### Returns Promise<EndpointRegistration>

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/endpoint.ts:42

Generated using TypeDoc